# $Revision: 1.2 $, $Date: 2004/12/04 23:29:05 $
%define		realname	MathReader
Summary:	Mathematica Notebook Reader
Summary(pl):	Przegldarka plikw z programu Mathematica
Name:		MathReader4
Version:	4.2.1
Release:	1
License:	almost free, distributable
# from http://www.wolfram.com/products/mathreader/download.cgi
Source0:	%{realname}-%{version}-Linux-PPC.tar.gz
# Source0-md5:	9743cf3c81d3f83661034ae2cf5b6e78
Source1:	%{realname}.desktop
Group:		Applications/Math
URL:		http://www.wolfram.com/products/mathreader/
ExclusiveArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MathReader is a viewer for notebook documents created with
Mathematica, the world's only fully integrated technical computing
system. MathReader lets you display and print Mathematica notebooks,
animate graphics, play sounds, and copy information from notebooks to
other documents. MathReader can be used by most web browsers as a
helper application for viewing notebook documents.

%description -l pl
MathReader jest przegldark dla dokumentw utworzonych w programie
Mathematica, jedynym w wiecie w peni zintegrowanym systemie
technicznych oblicze. MathReader pozwala wywietla i drukowa
notatki, odtwarza animacje, odgrywa dwiki i kopiowa informacje z
notatek programu Mathematica do innych dokumentw. MathReader moe by
te uywany przez wikszo przegldarek WWW jako aplikacja pomocnicza
do przegldania dokumentw.

%prep
%setup -q -n %{realname}-%{version}-Linux-PPC

%install
rm -rf $RPM_BUILD_ROOT
PAGER=/bin/cat
export PAGER

(
cat <<EOF
a
$RPM_BUILD_ROOT%{_libdir}
y
$RPM_BUILD_ROOT%{_bindir}
EOF
) | \
sh MathReaderInstaller

install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}}
ln -sf %{_libdir}/%{realname}/Executables/{MathReader,mathreader} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Files/SystemFiles/Installation/TextResources/English/LicenseAgreement.txt
%attr(755,root,root) %{_bindir}/%{realname}
%dir %{_libdir}/%{realname}
%attr(755,root,root) %{_libdir}/%{realname}/Executables
%{_libdir}/%{realname}/Configuration
%{_libdir}/%{realname}/Documentation
%dir %{_libdir}/%{realname}/SystemFiles
%{_libdir}/%{realname}/SystemFiles/CharacterEncodings
%dir %{_libdir}/%{realname}/SystemFiles/FrontEnd
%dir %{_libdir}/%{realname}/SystemFiles/FrontEnd/Binaries
%ifarch ppc
%attr(755,root,root) %{_libdir}/%{realname}/SystemFiles/FrontEnd/Binaries/Linux-PPC
%endif
%{_libdir}/%{realname}/SystemFiles/FrontEnd/StyleSheets
%{_libdir}/%{realname}/SystemFiles/FrontEnd/SystemResources
%{_libdir}/%{realname}/SystemFiles/FrontEnd/TextResources
%{_libdir}/%{realname}/SystemFiles/Fonts
%{_libdir}/%{realname}/SystemFiles/SpellingDictionaries
%{_desktopdir}/%{realname}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MathReader4.spec,v $
Revision 1.2  2004/12/04 23:29:05  undefine
- release 1

Revision 1.1  2004/12/04 23:26:56  undefine
- MathReader version 4 for PPC(based on MathReader.spec)

Revision 1.10  2004/11/02 13:20:20  undefine
- alpha support (not tested)

Revision 1.9  2004/10/20 10:37:18  undefine
- desktopdir one more time

Revision 1.8  2004/10/20 08:57:48  undefine
- add desktopdir

Revision 1.7  2004/10/14 22:03:24  undefine
- fix amd64 support ;)

Revision 1.6  2004/10/14 11:57:07  undefine
- fix build when mr is not installed
- add md5size (builder -5 is screwed)

Revision 1.5  2004/10/14 11:12:43  undefine
- wrrr!

Revision 1.4  2004/10/09 12:29:50  ankry
- it is duistributable, rel. 1.1, NFY

Revision 1.3  2004/10/07 14:35:52  qboosh
- missing dirs

Revision 1.2  2004/09/29 15:32:43  undefine
- pl description

Revision 1.1  2004/09/28 22:36:53  undefine
- initital rpm version... ;)
